-- $Id: Constants.lua 78 2017-07-20 09:46:23Z arith $
-----------------------------------------------------------------------
-- Upvalued Lua API.
-----------------------------------------------------------------------
-- Functions
local _G = getfenv(0)
-- Libraries
-- ----------------------------------------------------------------------------
-- AddOn namespace.
-- ----------------------------------------------------------------------------
local FOLDER_NAME, private = ...
private.addon_name = "CurrencyTracking"

local LibStub = _G.LibStub

local constants = {}
private.constants = constants

constants.defaults = {
	profile = {
		show_currency = true,
		show_money = true,
		breakupnumbers = true,
		icon_first = false,
		always_lock = false,
		point = { "TOPLEFT", "UIParent", "TOPLEFT", 150, -80 },
		scale = 1,
		alpha = 1,
		bgalpha = 0.3,
		tooltip_alpha = 0.9,
		tooltip_scale = 1,
		currencies = {},
		items = {},
		--optionsCopied = false,
	},
}

constants.items = {
	world_events = {
		TRICKY_TREAT 		= 33226,
		LOVE_TOKEN 		= 49927,
		BREWFEST_PRIZE_TOKEN 	= 37829,
		NOBLEGARDEN_CHOCOLATE 	= 44791,
		COIN_OF_ANCESTRY 	= 21100, -- Lunar Festival
		BURNING_BLOSSOM 	= 23247, -- Midsummer Fire Festival
	},
	pvp = {
		HALAA_RESEARCH_TOKEN 	= 26044,
		HALAA_BATTLE_TOKEN 	= 26045,
		VICIOUS_SADDLE 		= 103533, -- arena
		MARK_OF_HONOR 		= 137642,
	},
	others = {
		SPIRIT_HARMONY 		= 76061,
		PET_CHARM 		= 116415,
		DRAENIC_SEEDS 		= 116053,
		NATS_LUCKY_COIN 	= 117397,
		PRIMAL_SPIRIT 		= 120945,
		BLACKFANG_CLAW 		= 124099,
		BLOOD_OF_SARGERAS 	= 124124,
	},
	professions = {
		[3908] = { -- Tailoring
			[127004] = 127004, -- Imbued Silkweave
			[111556] = 111556, -- Hexweave Cloth
			[124437] = 124437, -- Shal'dorei Silk
			[127037] = 127037, -- Runic Catgut
			[127681] = 127681, -- Sharp Spritethorn
			[82441] = 82441, -- Bolt of Windwool Cloth
			[111557] = 111557, -- Sumptuous Fur
			[98619] = 98619, -- Celestial Cloth
			[92960] = 92960, -- Silkworm Cocoon
			[82447] = 82447, -- Imperial Silk
			[72988] = 72988, -- Windwool Cloth
			[54440] = 54440, -- Dreamcloth
			[53643] = 53643, -- Bolt of Embersilk Cloth
			[53010] = 53010, -- Embersilk Cloth
			[41595] = 41595, -- Spellweave
			[41593] = 41593, -- Ebonweave
			[41594] = 41594, -- Moonshroud
			[41511] = 41511, -- Bolt of Imbued Frostweave
			[42253] = 42253, -- Iceweb Spider Silk
			[38426] = 38426, -- Eternium Thread
			[33470] = 33470, -- Frostweave Cloth
			[41510] = 41510, -- Bolt of Frostweave
			[21844] = 21844, -- Bolt of Soulcloth
			[24272] = 24272, -- Shadowcloth
			[24271] = 24271, -- Spellcloth
			[21845] = 21845, -- Primal Mooncloth
			[21842] = 21842, -- Bolt of Imbued Netherweave
			[21881] = 21881, -- Netherweb Spider Silk
			[21877] = 21877, -- Netherweave Cloth
			[21840] = 21840, -- Bolt of Netherweave
			[14048] = 14048, -- Bolt of Runecloth
			[14342] = 14342, -- Mooncloth
			[14341] = 14341, -- Rune Thread
			[14047] = 14047, -- Runecloth
			[14227] = 14227, -- Ironweb Spider Silk
			[14256] = 14256, -- Felcloth
			[4339] = 4339, -- Bolt of Mageweave
			[4338] = 4338, -- Mageweave Cloth
			[8343] = 8343, -- Heavy Silken Thread
			[10285] = 10285, -- Shadow Silk
			[4337] = 4337, -- Thick Spider's Silk
			[4305] = 4305, -- Bolt of Silk Cloth
			[4291] = 4291, -- Silken Thread
			[4306] = 4306, -- Silk Cloth
			[2997] = 2997, -- Bolt of Woolen Cloth
			[2321] = 2321, -- Fine Thread
			[3182] = 3182, -- Spider's Silk
			[2592] = 2592, -- Wool Cloth
			[2996] = 2996, -- Bolt of Linen Cloth
			[2320] = 2320, -- Coarse Thread
			[2589] = 2589, -- Linen Cloth
			[146710] = 146710, -- Bolt of Shadowcloth
			[146711] = 146711, -- Bolt of Starweave
		},
		[2575] = { -- Mining
			[124444] = 124444, -- Infernal Brimstone
			[123919] = 123919, -- Felslate
			[109118] = 109118, -- Blackrock Ore
			[109119] = 109119, -- True Iron Ore
			[123918] = 123918, -- Leystone Ore
			[72094] = 72094, -- Black Trillium Ore
			[72103] = 72103, -- White Trillium Ore
			[109991] = 109991, -- True Iron Nugget
			[109992] = 109992, -- Blackrock Fragment
			[72093] = 72093, -- Kyparite
			[72092] = 72092, -- Ghost Iron Ore
			[52183] = 52183, -- Pyrite Ore
			[108309] = 108309, -- Pyrite Ore Nugget
			[97512] = 97512, -- Ghost Iron Nugget
			[97546] = 97546, -- Kyparite Fragment
			[52185] = 52185, -- Elementium Ore
			[108308] = 108308, -- Elementium Ore Nugget
			[53038] = 53038, -- Obsidium Ore
			[108307] = 108307, -- Obsidium Ore Nugget
			[36910] = 36910, -- Titanium Ore
			[108391] = 108391, -- Titanium Ore Nugget
			[36912] = 36912, -- Saronite Ore
			[108306] = 108306, -- Saronite Ore Nugget
			[36909] = 36909, -- Cobalt Ore
			[108305] = 108305, -- Cobalt Ore Nugget
			[23426] = 23426, -- Khorium Ore
			[23427] = 23427, -- Eternium Ore
			[108304] = 108304, -- Khorium Ore Nugget
			[23425] = 23425, -- Adamantite Ore
			[108302] = 108302, -- Adamantite Ore Nugget
			[23424] = 23424, -- Fel Iron Ore
			[108301] = 108301, -- Fel Iron Ore Nugget
			[11370] = 11370, -- Dark Iron Ore
			[12365] = 12365, -- Dense Stone
			[7911] = 7911, -- Truesilver Ore
			[108299] = 108299, -- Truesilver Ore Nugget
			[3858] = 3858, -- Mithril Ore
			[10620] = 10620, -- Thorium Ore
			[108298] = 108298, -- Thorium Ore Nugget
			[108300] = 108300, -- Mithril Ore Nugget
			[7912] = 7912, -- Solid Stone
			[2772] = 2772, -- Iron Ore
			[108297] = 108297, -- Iron Ore Nugget
			[2776] = 2776, -- Gold Ore
			[108296] = 108296, -- Gold Ore Nugget
			[2838] = 2838, -- Heavy Stone
			[2771] = 2771, -- Tin Ore
			[2836] = 2836, -- Coarse Stone
			[2775] = 2775, -- Silver Ore
			[108294] = 108294, -- Silver Ore Nugget
			[2770] = 2770, -- Copper Ore
			[2835] = 2835, -- Rough Stone
			[22202] = 22202, -- Small Obsidian Shard
			[22203] = 22203, -- Large Obsidian Shard
			[115508] = 115508, -- Draenic Stone
		},
		[2108] = { -- Leatherworking
			[124116] = 124116, -- Felhide
			[110611] = 110611, -- Burnished Leather
			[110609] = 110609, -- Raw Beast Hide
			[124113] = 124113, -- Stonehide Leather
			[124115] = 124115, -- Stormscale
			[72163] = 72163, -- Magnificent Hide
			[110610] = 110610, -- Raw Beast Hide Scraps
			[79101] = 79101, -- Prismatic Scale
			[72120] = 72120, -- Exotic Leather
			[72162] = 72162, -- Sha-Touched Leather
			[112156] = 112156, -- Blackened Dragonscale Fragment
			[56516] = 56516, -- Heavy Savage Leather
			[38557] = 38557, -- Icy Dragonscale
			[112158] = 112158, -- Icy Dragonscale Fragment
			[33567] = 33567, -- Borean Leather Scraps
			[33568] = 33568, -- Borean Leather
			[38558] = 38558, -- Nerubian Chitin
			[112177] = 112177, -- Nerubian Chitin Fragment
			[23793] = 23793, -- Heavy Knothide Leather
			[15414] = 15414, -- Red Dragonscale
			[25649] = 25649, -- Knothide Leather Scraps
			[15408] = 15408, -- Heavy Scorpid Scale
			[15416] = 15416, -- Black Dragonscale
			[8170] = 8170, -- Rugged Leather
			[15412] = 15412, -- Green Dragonscale
			[8154] = 8154, -- Scorpid Scale
			[8165] = 8165, -- Worn Dragonscale
			[8168] = 8168, -- Jet Black Feather
			[4304] = 4304, -- Thick Leather
			[8150] = 8150, -- Deeprock Salt
			[8169] = 8169, -- Thick Hide
			[5785] = 5785, -- Thick Murloc Scale
			[4234] = 4234, -- Heavy Leather
			[4235] = 4235, -- Heavy Hide
			[4461] = 4461, -- Raptor Hide
			[2319] = 2319, -- Medium Leather
			[4232] = 4232, -- Medium Hide
			[5784] = 5784, -- Slimy Murloc Scale
			[783] = 783, -- Light Hide
			[2318] = 2318, -- Light Leather
			[5082] = 5082, -- Thin Kodo Leather
			[6470] = 6470, -- Deviate Scale
			[6471] = 6471, -- Perfect Deviate Scale
			[5116] = 5116, -- Long Tail Feather
		},
		[7411] = { -- Enchanting
			[124442] = 124442, -- Chaos Crystal
			[124441] = 124441, -- Leylight Shard
			[124440] = 124440, -- Arkhana
			[111245] = 111245, -- Luminous Shard
			[109693] = 109693, -- Draenic Dust
			[113588] = 113588, -- Temporal Crystal
			[115504] = 115504, -- Fractured Temporal Crystal
			[115502] = 115502, -- Small Luminous Shard
			[102218] = 102218, -- Spirit of War
			[94289] = 94289, -- Haunting Spirit
			[80433] = 80433, -- Blood Spirit
			[74248] = 74248, -- Sha Crystal
			[74247] = 74247, -- Ethereal Shard
			[74250] = 74250, -- Mysterious Essence
			[74252] = 74252, -- Small Ethereal Shard
			[74249] = 74249, -- Spirit Dust
			[52721] = 52721, -- Heavenly Shard
			[52720] = 52720, -- Small Heavenly Shard
			[52722] = 52722, -- Maelstrom Crystal
			[105718] = 105718, -- Sha Crystal Fragment
			[52719] = 52719, -- Greater Celestial Essence
			[52555] = 52555, -- Hypnotic Dust
			[52718] = 52718, -- Lesser Celestial Essence
			[89738] = 89738, -- Essence or Dust
			[34053] = 34053, -- Small Dream Shard
			[34052] = 34052, -- Dream Shard
			[34057] = 34057, -- Abyss Crystal
			[34055] = 34055, -- Greater Cosmic Essence
			[34054] = 34054, -- Infinite Dust
			[22449] = 22449, -- Large Prismatic Shard
			[22450] = 22450, -- Void Crystal
			[34056] = 34056, -- Lesser Cosmic Essence
			[22446] = 22446, -- Greater Planar Essence
			[22448] = 22448, -- Small Prismatic Shard
			[22445] = 22445, -- Arcane Dust
			[20725] = 20725, -- Nexus Crystal
			[22447] = 22447, -- Lesser Planar Essence
			[14344] = 14344, -- Large Brilliant Shard
			[16203] = 16203, -- Greater Eternal Essence
			[16204] = 16204, -- Illusion Dust
			[14343] = 14343, -- Small Brilliant Shard
			[16202] = 16202, -- Lesser Eternal Essence
			[11176] = 11176, -- Dream Dust
			[11178] = 11178, -- Large Radiant Shard
			[11175] = 11175, -- Greater Nether Essence
			[11174] = 11174, -- Lesser Nether Essence
			[11177] = 11177, -- Small Radiant Shard
			[11139] = 11139, -- Large Glowing Shard
			[11137] = 11137, -- Vision Dust
			[11135] = 11135, -- Greater Mystic Essence
			[11134] = 11134, -- Lesser Mystic Essence
			[11138] = 11138, -- Small Glowing Shard
			[11082] = 11082, -- Greater Astral Essence
			[11084] = 11084, -- Large Glimmering Shard
			[11083] = 11083, -- Soul Dust
			[10998] = 10998, -- Lesser Astral Essence
			[10978] = 10978, -- Small Glimmering Shard
			[10939] = 10939, -- Greater Magic Essence
			[10940] = 10940, -- Strange Dust
			[10938] = 10938, -- Lesser Magic Essence
			[6218] = 6218, -- Runed Copper Rod
			[6217] = 6217, -- Copper Rod
		},
		[2366] = { -- Herbalism
			[124106] = 124106, -- Felwort
			[129289] = 129289, -- Felwort Seed
			[124101] = 124101, -- Aethril
			[124102] = 124102, -- Dreamleaf
			[124103] = 124103, -- Foxflower
			[124104] = 124104, -- Fjarnskaggl
			[124105] = 124105, -- Starlight Rose
			[128304] = 128304, -- Yseralline Seed
			[129284] = 129284, -- Aethril Seed
			[129285] = 129285, -- Dreamleaf Seed
			[129286] = 129286, -- Foxflower Seed
			[129287] = 129287, -- Fjarnskaggl Seed
			[129288] = 129288, -- Starlight Rose Seed
			[109124] = 109124, -- Frostweed
			[109125] = 109125, -- Fireweed
			[109126] = 109126, -- Gorgrond Flytrap
			[109127] = 109127, -- Starflower
			[109128] = 109128, -- Nagrand Arrowbloom
			[109129] = 109129, -- Talador Orchid
			[72238] = 72238, -- Golden Lotus
			[109624] = 109624, -- Broken Frostweed Stem
			[109625] = 109625, -- Broken Fireweed Stem
			[109626] = 109626, -- Gorgrond Flytrap Ichor
			[109627] = 109627, -- Starflower Petal
			[109628] = 109628, -- Nagrand Arrowbloom Petal
			[109629] = 109629, -- Talador Orchid Petal
			[79011] = 79011, -- Fool's Cap
			[79010] = 79010, -- Snow Lily
			[72235] = 72235, -- Silkweed
			[52987] = 52987, -- Twilight Jasmine
			[72234] = 72234, -- Green Tea Leaf
			[72237] = 72237, -- Rain Poppy
			[97619] = 97619, -- Torn Green Tea Leaf
			[97620] = 97620, -- Rain Poppy Petal
			[97621] = 97621, -- Silkweed Stem
			[97622] = 97622, -- Snow Lily Petal
			[97623] = 97623, -- Fool's Cap Spores
			[97624] = 97624, -- Desecrated Herb Pod
			[108364] = 108364, -- Twilight Jasmine Petal
			[52988] = 52988, -- Whiptail
			[108365] = 108365, -- Whiptail Stem
			[52986] = 52986, -- Heartblossom
			[108363] = 108363, -- Heartblossom Petal
			[52984] = 52984, -- Stormvine
			[52985] = 52985, -- Azshara's Veil
			[108361] = 108361, -- Stormvine Stalk
			[108362] = 108362, -- Azshara's Veil Stem
			[52983] = 52983, -- Cinderbloom
			[108360] = 108360, -- Cinderbloom Petal
			[36908] = 36908, -- Frost Lotus
			[36905] = 36905, -- Lichbloom
			[36906] = 36906, -- Icethorn
			[108355] = 108355, -- Lichbloom Stalk
			[108356] = 108356, -- Icethorn Bramble
			[36903] = 36903, -- Adder's Tongue
			[108353] = 108353, -- Adder's Tongue Stem
			[39970] = 39970, -- Fire Leaf
			[108359] = 108359, -- Fire Leaf Bramble
			[36902] = 36902, -- Constrictor Grass
			[36901] = 36901, -- Goldclover
			[36904] = 36904, -- Tiger Lily
			[36907] = 36907, -- Talandra's Rose
			[37921] = 37921, -- Deadnettle
			[108352] = 108352, -- Goldclover Leaf
			[108354] = 108354, -- Tiger Lily Petal
			[108357] = 108357, -- Talandra's Rose Petal
			[108358] = 108358, -- Deadnettle Bramble
			[22794] = 22794, -- Fel Lotus
			[22791] = 22791, -- Netherbloom
			[22792] = 22792, -- Nightmare Vine
			[22793] = 22793, -- Mana Thistle
			[22797] = 22797, -- Nightmare Seed
			[108349] = 108349, -- Netherbloom Leaf
			[108350] = 108350, -- Nightmare Vine Stem
			[108351] = 108351, -- Mana Thistle Leaf
			[22790] = 22790, -- Ancient Lichen
			[108348] = 108348, -- Ancient Lichen Petal
			[22788] = 22788, -- Flame Cap
			[22787] = 22787, -- Ragveil
			[108346] = 108346, -- Ragveil Cap
			[19727] = 19727, -- Blood Scythe
			[13468] = 13468, -- Black Lotus
			[22785] = 22785, -- Felweed
			[22786] = 22786, -- Dreaming Glory
			[22789] = 22789, -- Terocone
			[108344] = 108344, -- Felweed Stalk
			[108345] = 108345, -- Dreaming Glory Petal
			[108347] = 108347, -- Terocone Leaf
			[19726] = 19726, -- Bloodvine
			[13467] = 13467, -- Icecap
			[108343] = 108343, -- Icecap Petal
			[13466] = 13466, -- Sorrowmoss
			[108342] = 108342, -- Sorrowmoss Leaf
			[13465] = 13465, -- Mountain Silversage
			[108341] = 108341, -- Mountain Silversage Stalk
			[13463] = 13463, -- Dreamfoil
			[108339] = 108339, -- Dreamfoil Blade
			[13464] = 13464, -- Golden Sansam
			[108340] = 108340, -- Golden Sansam Leaf
			[8846] = 8846, -- Gromsblood
			[108338] = 108338, -- Gromsblood Leaf
			[8839] = 8839, -- Blindweed
			[8845] = 8845, -- Ghost Mushroom
			[108336] = 108336, -- Blindweed Stem
			[108337] = 108337, -- Ghost Mushroom Cap
			[8838] = 8838, -- Sungrass
			[108335] = 108335, -- Sungrass Stalk
			[8836] = 8836, -- Arthas' Tears
			[108334] = 108334, -- Arthas' Tears Petal
			[8831] = 8831, -- Purple Lotus
			[108333] = 108333, -- Purple Lotus Petal
			[4625] = 4625, -- Firebloom
			[108332] = 108332, -- Firebloom Petal
			[8153] = 8153, -- Wildvine
			[3819] = 3819, -- Dragon's Teeth
			[108329] = 108329, -- Dragon's Teeth Stem
			[3358] = 3358, -- Khadgar's Whisker
			[108326] = 108326, -- Khadgar's Whisker Stem
			[3821] = 3821, -- Goldthorn
			[108331] = 108331, -- Goldthorn Bramble
			[3818] = 3818, -- Fadeleaf
			[108328] = 108328, -- Fadeleaf Petal
			[3357] = 3357, -- Liferoot
			[108325] = 108325, -- Liferoot Stem
			[3356] = 3356, -- Kingsblood
			[108324] = 108324, -- Kingsblood Petal
			[3355] = 3355, -- Wild Steelbloom
			[3369] = 3369, -- Grave Moss
			[108323] = 108323, -- Wild Steelbloom Petal
			[108327] = 108327, -- Grave Moss Leaf
			[2453] = 2453, -- Bruiseweed
			[3820] = 3820, -- Stranglekelp
			[108322] = 108322, -- Bruiseweed Stem
			[108330] = 108330, -- Stranglekelp Blade
			[2450] = 2450, -- Briarthorn
			[2452] = 2452, -- Swiftthistle
			[108320] = 108320, -- Briarthorn Bramble
			[108321] = 108321, -- Swiftthistle Leaf
			[785] = 785, -- Mageroyal
			[2449] = 2449, -- Earthroot
			[108318] = 108318, -- Mageroyal Petal
			[108319] = 108319, -- Earthroot Stem
			[765] = 765, -- Silverleaf
			[2447] = 2447, -- Peacebloom
			[22710] = 22710, -- Bloodthistle
			[116053] = 116053, -- Draenic Seeds

		},
	},
}

constants.itemCategories = {
	["world_events"] = BATTLE_PET_SOURCE_7,
	["pvp"] = PVP,
	["others"] = MISCELLANEOUS,
	["professions"] = TRADE_SKILLS,
}

constants.events = {
	"PLAYER_REGEN_ENABLED",
	"PLAYER_REGEN_DISABLED",
}
